## ros-kinetic-husky-viz 0.3.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(husky_viz)

find_package(catkin REQUIRED COMPONENTS roslaunch)

catkin_package()

roslaunch_add_file_check(launch)

install(
  DIRECTORY launch rviz
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-husky-viz (0.3.8-1xenial) xenial; urgency=high

  * Remove the Kinect 360 support; the deprecation warning is being treated as an error, and it's about time to remove it anyway
  * Contributors: Chris Iverach-Brereton

 -- Paul Bovbel <paul@bovbel.com>  Thu, 01 Oct 2020 04:00:00 -0000

ros-kinetic-husky-viz (0.3.7-1xenial) xenial; urgency=high

  * Mark the Kinect for Xbox 360 as deprecated, start adding support for the Intel Realsense D400 series as a replacement
  * Contributors: Chris I-B

 -- Paul Bovbel <paul@bovbel.com>  Thu, 13 Aug 2020 04:00:00 -0000

ros-kinetic-husky-viz (0.3.6-1xenial) xenial; urgency=high

  * Add the joint_state_publisher_gui dependency
  * Contributors: Chris I-B

 -- Paul Bovbel <paul@bovbel.com>  Mon, 20 Apr 2020 04:00:00 -0000

ros-kinetic-husky-viz (0.3.5-1xenial) xenial; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Wed, 11 Dec 2019 05:00:00 -0000

ros-kinetic-husky-viz (0.3.4-1xenial) xenial; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Thu, 01 Aug 2019 04:00:00 -0000

ros-kinetic-husky-viz (0.3.3-1xenial) xenial; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Thu, 18 Apr 2019 04:00:00 -0000

ros-kinetic-husky-viz (0.3.2-1xenial) xenial; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Mon, 25 Mar 2019 04:00:00 -0000

ros-kinetic-husky-viz (0.3.1-1xenial) xenial; urgency=high

  * Updated dependencies for robot_state_publisher
  * Updated view_model.launch to include a robot_state_publisher since it was moved to control.launch
  * Contributors: Dave Niewinski

 -- Paul Bovbel <paul@bovbel.com>  Thu, 02 Aug 2018 04:00:00 -0000

ros-kinetic-husky-viz (0.3.0-1xenial) xenial; urgency=high

  * Updated all package versions to 0.2.6.
  * Fixed typo in URLs.
  * Remove defunct email address
  * Updated maintainers.
  * Update URDF for multirobot
  * Move packages into monorepo for kinetic; strip out ur packages
  * Contributors: Paul Bovbel, Tony Baltovski

 -- Paul Bovbel <paul@bovbel.com>  Wed, 11 Apr 2018 04:00:00 -0000

ros-kinetic-husky-viz (0.2.2-1xenial) xenial; urgency=high

  * Toggle viz settings
  * Integrate husky_customization workflow
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Wed, 08 Apr 2015 04:00:00 -0000

ros-kinetic-husky-viz (0.2.1-1xenial) xenial; urgency=high

  * Update robot visualization
  * Enable arm visualization by default
  * Fix package urls
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Mon, 23 Mar 2015 04:00:00 -0000

ros-kinetic-husky-viz (0.2.0-1xenial) xenial; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Mon, 23 Mar 2015 04:00:00 -0000

ros-kinetic-husky-viz (0.1.1-1xenial) xenial; urgency=high

  * Update authors and web
  * Add IMU viz dependency; Update rviz presets
  * Restore interactive marker
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Fri, 06 Feb 2015 05:00:00 -0000

ros-kinetic-husky-viz (0.1.0-1xenial) xenial; urgency=high

  * Update visualizations for indigo release
  * update maintainer and dependencies
  * Remove husky_interactive_markers, switch to generic.
  * Add front_laser arg to view_model launcher.
  * Default fixed frame for the model viewer should be base_link.
  * viewing more options for navigation.rviz
  * Contributors: Mike Purvis, Paul Bovbel, Prasenjit Mukherjee

 -- Paul Bovbel <paul@bovbel.com>  Wed, 14 Jan 2015 05:00:00 -0000

ros-kinetic-husky-viz (0.0.3-1xenial) xenial; urgency=high

  * Set version requirement for description pkg.
  * Navigation view launch file and rviz file

 -- Paul Bovbel <paul@bovbel.com>  Fri, 04 Oct 2013 04:00:00 -0000

ros-kinetic-husky-viz (0.0.2-1xenial) xenial; urgency=high

  * Add interactive_markers pkg to dependencies.
  * Add rviz files and launch files for view_robot (odom view + interactive marker control)
  * Add roslaunch file check.

 -- Paul Bovbel <paul@bovbel.com>  Sun, 29 Sep 2013 04:00:00 -0000

ros-kinetic-husky-viz (0.0.1-1xenial) xenial; urgency=high

  * Working view_model.launch.
  * Catkinize package, add install targets.
  * Split off separate husky_viz package.
  * Move models directory up to root

 -- Paul Bovbel <paul@bovbel.com>  Wed, 11 Sep 2013 04:00:00 -0000

=== debian/control ===
Source: ros-kinetic-husky-viz
Section: misc
Priority: optional
Maintainer: Paul Bovbel <paul@bovbel.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-roslaunch
Homepage: http://ros.org/wiki/husky_viz
Standards-Version: 3.9.2

Package: ros-kinetic-husky-viz
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-husky-description, ros-kinetic-joint-state-publisher, ros-kinetic-joint-state-publisher-gui, ros-kinetic-robot-state-publisher, ros-kinetic-rviz, ros-kinetic-rviz-imu-plugin
Description: Visualization configuration for Clearpath Husky

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-husky-viz//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
